Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063144 - [RFE] gimp plugins location RPM macro
Summary: [RFE] gimp plugins location RPM macro
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-10 06:35 UTC by Christopher Meng
Modified: 2014-03-21 05:05 UTC (History)
2 users (show)

Fixed In Version: gimp-2.8.10-5.fc21
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-13 13:00:38 UTC


Attachments (Terms of Use)

Description Christopher Meng 2014-02-10 06:35:12 UTC
Now many gimp plugins are being packaged, and some other packages may include gimp plugin as well, some packagers install plugins to wrong place so I hope you can add a macro %_gimp_plugindir:

%global gimpplugindir %(gimptool --gimpplugindir)/plug-ins

install -pd %{buildroot}%{_rpmconfigdir}/macros.d
cat >> %{buildroot}%{_rpmconfigdir}/macros.d/macros.gimp << EOF
# GIMP Macros

%%_gimp_plugindir              %{gimpplugindir}
EOF

%{_rpmconfigdir}/macros.d/macros.gimp

And put the macro into devel.

Thanks.

Comment 1 Nils Philippsen 2014-02-11 16:55:46 UTC
This is a good idea, but I'll have to tweak it a bit:

- I don't want to rely on gimptool to build gimp, this makes bootstrapping hard. I guess I'll just have to leave things hard-coded in gimp.
- The macro file needs to work on multi-lib, i.e. not contain hard-coded paths but use appropriate macros.

Comment 2 Nils Philippsen 2014-02-13 13:00:38 UTC
I've built gimp-2.8.10-5.fc21 which contains this /usr/lib/rpm/macros.d/macros.gimp file:

--- 8< --------------------------------------
# RPM macros for GIMP

%_gimp_datadir %{_datadir}/gimp/2.0
%_gimp_libdir %{_libdir}/gimp/2.0
%_gimp_sysconfdir %{_sysconfdir}/gimp/2.0
%_gimp_localedir %{_datadir}/locale
%_gimp_scriptdir %{_datadir}/gimp/2.0/scripts
%_gimp_plugindir %{_libdir}/gimp/2.0/plug-ins
--- >8 --------------------------------------

I've committed this change into the F-19, F-20 dist-git branches, therefore future updates (once they happen) in the stable releases will get this as well.

Comment 3 Christopher Meng 2014-03-21 05:05:05 UTC
Thanks, your help is much appreciated.


Note You need to log in before you can comment on or make changes to this bug.